<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/newpagesbypath/newpagesbypath.php
Version=100
Updated=2006-jan-24
Type=Plugin
Author=Neocrome
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=newpagesbypath
Part=main
File=newpagesbypath
Hooks=index.tags
Tags=index.tpl:{PLUGIN_NEWPAGESBYPATH.categorycodehere}
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }

/* ============ MASKS FOR THE HTML OUTPUTS =========== */

$cfg['plu_mask_newpagesbypath'] = "%1\$s"." ".$cfg['separator']." "."%2\$s"." (%3\$s)<br />";
// %1\$s = Link to the category
// %2\$s = Link to the page
// %3\$s = Date

$plu_empty = $L['None']."<br />";

function sed_get_newpagesbypath($c, $limit, $mask)
	{
	global $L, $db_pages, $usr, $cfg, $sed_cat, $sed_catacc, $plu_empty;

	$mtch = $sed_cat[$c]['path'].".";
	$mtchlen = strlen($mtch);
	$catsub = array();
	$catsub[] = $c;

	@reset($sed_cat);
	while (list($i,$x) = each($sed_cat) )
		{
		if (substr($x['path'],0,$mtchlen)==$mtch)
			{
			$catsub[] = $i;
			}
		}

	$sql = sed_sql_query("SELECT page_id,page_cat,page_title,page_date,page_alias FROM $db_pages
		WHERE page_state=0
		AND page_cat NOT LIKE 'system'
		AND page_cat IN ('".implode("','", $catsub)."')
		ORDER by page_date DESC LIMIT $limit");

	while ($row = sed_sql_fetcharray($sql))
		{
		$row['page_urlpar'] = (empty($row['page_alias'])) ? "id=".$row['page_id'] : "al=".$row['page_alias'];

		$res .= (sed_auth('page', $row['page_cat'], 'R')) ? sprintf($mask,
			"<a href=\"list.php?c=".$row['page_cat']."\">".$sed_cat[$row['page_cat']]['title']."</a>",
			"<a href=\"page.php?".$row['page_urlpar']."\">".sed_cc(sed_cutstring(stripslashes($row['page_title']),36))."</a>",
			date($cfg['formatyearmonthday'], $row['page_date'] + $usr['timezone'] * 3600)
				) : '';
		}

	$res = (empty($res)) ? $plu_empty : $res;

	return($res);
	}


if ($cfg['plugin']['newpagesbypath']['maxpages']>0 && !empty($cfg['plugin']['newpagesbypath']['categories']))
	{
	$cats = explode(',', $cfg['plugin']['newpagesbypath']['categories']);
	foreach($cats as $k => $i)
		{
		$i = trim($i);
		$newpagesbypath[$i] = sed_get_newpagesbypath(
			$i,
			$cfg['plugin']['newpagesbypath']['maxpages'],
			$cfg['plu_mask_newpagesbypath']);
		}
	}

$t-> assign(array(
	"PLUGIN_NEWPAGESBYPATH" => $newpagesbypath,
	"PLUGIN_NEWPAGESBYPATH_MAXLINES" => $cfg['plugin']['newpagesbypath']['maxpages']
		));

?>